"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mixed_1 = require("../helpers/mixed");
const parse_1 = require("../helpers/parse");
function help(cwd, env) {
    return `
${mixed_1.bold("elm-tooling init")}
    Create a sample elm-tooling.json in the current directory

${mixed_1.bold("elm-tooling validate")}
    Validate the closest elm-tooling.json

${mixed_1.bold("elm-tooling download")}
    Download the tools in the closest elm-tooling.json to:
    ${mixed_1.dim(parse_1.elmToolingInstallPath(cwd, env))}

${mixed_1.bold("elm-tooling postinstall")}
    Download the tools in the closest elm-tooling.json
    and create links to them in node_modules/.bin/

${mixed_1.bold("Environment variables:")}
    ${mixed_1.bold("ELM_HOME")}
        Customize where tools will be downloaded.
        The Elm compiler uses this variable too for where to store packages.

    ${mixed_1.bold("NO_ELM_TOOLING_POSTINSTALL")}
        Disable the postinstall command.

    ${mixed_1.bold("NO_COLOR")}
        Disable colored output.

${mixed_1.bold("Documentation:")}
    https://github.com/lydell/elm-tooling.json/tree/master/cli
`.trim();
}
exports.default = help;
